Subject: Re: bug#51334: RMAIL error on send C-c C-c

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 12:29:27 -0400

Nick Strauss <[email-masked]> writes:

> I have several debian accounts with email. One such account started
> having difficulty. When trying to send an email while in an RMAIL buffer
> using C-c C-c, emacs crashes unexpectedly with this error:
> emacs[0x541b30]
> emacs[0x50bc8f]
> emacs[0x50c003]
> ...
> Illegal instruction
>
> It probably is some kind of interaction with the underlying linux mailer
> that is killing emacs, but it would be nice to have some graceful exit,
> and perhaps some chance of debugging the problem, with my limited
> knowlege and abiliti3s.

Could you try to reproduce this in gdb to produce a backtrace?